Skip to main content
POST
/
api
/
v4
/
sub-account
/
transfer
Sub-Account Transfer
curl --request POST \
  --url https://whitebit.com/api/v4/sub-account/transfer \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "id": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
  "direction": "main_to_sub",
  "amount": "0.5",
  "ticker": "ETH"
}
'
{
  "transaction_id": "<string>"
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
id
string
required

Sub-account id

Example:

"8e667b4a-0b71-4988-8af5-9474dbfaeb51"

direction
enum<string>
required

Transfer direction

Available options:
main_to_sub,
sub_to_main
Example:

"main_to_sub"

amount
string
required

Transfer amount (min 0.00000001)

Example:

"0.5"

ticker
string
required

Currency's ticker

Example:

"ETH"

Response

Transfer successful

transaction_id
string

External identifier of the transaction. Correlate transfer history responses using the transaction_id value.